Subject: Re: freescale lite 5200 board and kernel 2.6

From: Domenico Andreoli <[email-masked]>
Date: Fri, 7 Apr 2006 00:10:56 +0200

On Wed, Apr 05, 2006 at 11:27:41PM +0200, Matthias Fechner wrote:
> Hello Domenico,

hi Matthias,

> * Domenico Andreoli <[email-masked]> [05-04-06 23:06]:
> > is there any patchset i can use for kernel 2.6? is it production-ready?
> > why isn't already in vanilla 2.6? has any sense to stay with kernel 2.4?
> 
> I'm not sure if this helps, but I was successfully in getting a kernel
> 2.6 running with the icecube board. I have written a short docu in my
> wiki (booting with tftp and rootnfs over NFS):
> http://wiki.idefix.fechner.net/index.php/IceCube#Writing_kernel_modules_for_2.6

this is a very nice page, it is now my reference :)

anyway i cannot say i made it, my icecube is still not under control.

every time i boot the 2.6 kernel after the original 2.4 one, the nic
seems to work. on subsequent boots, even after board resets, it does not.
i still need to check what happens removing the power cord.

kernel is built following the instructions on your wiki, i attached
the config file. please have a look, let me know if any check/test may
be advised.

cheers
domenico

-----[ Domenico Andreoli, aka cavok
 --[ http://people.debian.org/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50